export TRACK_JET_RADIUS=10

# Check and delete broken files in current directory, ALL, and GEN subfolders
for file in ./*.root ./ALL/*.root ./GEN/*.root ./ALL_SYS/*.root; do
  if [ -f "$file" ]; then  # Ensure the file exists
    root -b -q -l -e "TFile* f = TFile::Open(\"$file\"); if (!(f && f->IsOpen()) || f->IsZombie() || f->TestBit(TFile::kRecovered)) { std::cout << \"$file is broken or corrupted. Deleting...\" << std::endl; gSystem->Exec(\"rm '$file'\"); } else { std::cout << \"$file is OK.\" << std::endl; } delete f;" 2>/dev/null
  fi
done

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/config/charm_frag/make_wplusd_yaml.py

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_mdiff_fit,Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold,Dmeson_track_jet_${TRACK_JET_RADIUS}_zl_unfold,Dmeson_track_jet_${TRACK_JET_RADIUS}_pt,Dmeson_pt,Dmeson_mdiff_fit --suffix pre_fit_test --no-sys -c OS-SS_0tag_Dstar,OS_0tag_Dstar,SS_0tag_Dstar,OS-SS_0tag_Dstar_PR,OS_0tag_Dstar_PR,SS_0tag_Dstar_PR,OS-SS_0tag_Dstar_LS,OS_0tag_Dstar_LS,SS_0tag_Dstar_LS,OS-SS_0tag_Dstar_RS,OS_0tag_Dstar_RS,SS_0tag_Dstar_RS -t 4

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_mdiff_fit -c OS_0tag_Dstar_jet_bin_0,SS_0tag_Dstar_jet_bin_0,OS_0tag_Dstar_jet_bin_1,SS_0tag_Dstar_jet_bin_1,OS_0tag_Dstar_jet_bin_2,SS_0tag_Dstar_jet_bin_2,OS_0tag_Dstar_jet_bin_3,SS_0tag_Dstar_jet_bin_3,OS_1tag_Dstar_jet_bin_0,SS_1tag_Dstar_jet_bin_0,OS_1tag_Dstar_jet_bin_1,SS_1tag_Dstar_jet_bin_1,OS_1tag_Dstar_jet_bin_2,SS_1tag_Dstar_jet_bin_2,OS_1tag_Dstar_jet_bin_3,SS_1tag_Dstar_jet_bin_3,OS_2tag_Dstar_jet_bin_0,SS_2tag_Dstar_jet_bin_0,OS_2tag_Dstar_jet_bin_1,SS_2tag_Dstar_jet_bin_1,OS_2tag_Dstar_jet_bin_2,SS_2tag_Dstar_jet_bin_2,OS_2tag_Dstar_jet_bin_3,SS_2tag_Dstar_jet_bin_3 --suffix mock_mc --no-sys -t 4 > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/macros/make_offset_and_symm_histograms.py -i charm_frag_diff_mock_mc/histograms.root -d Dstar --differential-bins

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_mdiff_fit --suffix pre_fit --no-sys -c OS_0tag_Dstar_jet_bin_0,SS_0tag_Dstar_jet_bin_0,OS_0tag_Dstar_jet_bin_1,SS_0tag_Dstar_jet_bin_1,OS_0tag_Dstar_jet_bin_2,SS_0tag_Dstar_jet_bin_2,OS_0tag_Dstar_jet_bin_3,SS_0tag_Dstar_jet_bin_3,OS_1tag_Dstar_jet_bin_0,SS_1tag_Dstar_jet_bin_0,OS_1tag_Dstar_jet_bin_1,SS_1tag_Dstar_jet_bin_1,OS_1tag_Dstar_jet_bin_2,SS_1tag_Dstar_jet_bin_2,OS_1tag_Dstar_jet_bin_3,SS_1tag_Dstar_jet_bin_3,OS_2tag_Dstar_jet_bin_0,SS_2tag_Dstar_jet_bin_0,OS_2tag_Dstar_jet_bin_1,SS_2tag_Dstar_jet_bin_1,OS_2tag_Dstar_jet_bin_2,SS_2tag_Dstar_jet_bin_2,OS_2tag_Dstar_jet_bin_3,SS_2tag_Dstar_jet_bin_3,OS-SS_0tag_Dstar_jet_bin_0,OS-SS_0tag_Dstar_jet_bin_1,OS-SS_0tag_Dstar_jet_bin_2,OS-SS_0tag_Dstar_jet_bin_3,OS-SS_1tag_Dstar_jet_bin_0,OS-SS_1tag_Dstar_jet_bin_1,OS-SS_1tag_Dstar_jet_bin_2,OS-SS_1tag_Dstar_jet_bin_3,OS-SS_2tag_Dstar_jet_bin_0,OS-SS_2tag_Dstar_jet_bin_1,OS-SS_2tag_Dstar_jet_bin_2,OS-SS_2tag_Dstar_jet_bin_3 -t 4  > log.txt

# Fitting stuff
python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_mdiff_fit -c OS_0tag_Dstar_jet_bin_0,SS_0tag_Dstar_jet_bin_0,OS_0tag_Dstar_jet_bin_1,SS_0tag_Dstar_jet_bin_1,OS_0tag_Dstar_jet_bin_2,SS_0tag_Dstar_jet_bin_2,OS_0tag_Dstar_jet_bin_3,SS_0tag_Dstar_jet_bin_3,OS_1tag_Dstar_jet_bin_0,SS_1tag_Dstar_jet_bin_0,OS_1tag_Dstar_jet_bin_1,SS_1tag_Dstar_jet_bin_1,OS_1tag_Dstar_jet_bin_2,SS_1tag_Dstar_jet_bin_2,OS_1tag_Dstar_jet_bin_3,SS_1tag_Dstar_jet_bin_3,OS_2tag_Dstar_jet_bin_0,SS_2tag_Dstar_jet_bin_0,OS_2tag_Dstar_jet_bin_1,SS_2tag_Dstar_jet_bin_1,OS_2tag_Dstar_jet_bin_2,SS_2tag_Dstar_jet_bin_2,OS_2tag_Dstar_jet_bin_3,SS_2tag_Dstar_jet_bin_3 --trex fit --suffix Dmeson_mdiff_fit -t 16 > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold -c OS_0tag_Dstar_PR_jet_bin_0,SS_0tag_Dstar_PR_jet_bin_0,OS_0tag_Dstar_PR_jet_bin_1,SS_0tag_Dstar_PR_jet_bin_1,OS_0tag_Dstar_PR_jet_bin_2,SS_0tag_Dstar_PR_jet_bin_2,OS_0tag_Dstar_PR_jet_bin_3,SS_0tag_Dstar_PR_jet_bin_3,OS_1tag_Dstar_PR_jet_bin_0,SS_1tag_Dstar_PR_jet_bin_0,OS_1tag_Dstar_PR_jet_bin_1,SS_1tag_Dstar_PR_jet_bin_1,OS_1tag_Dstar_PR_jet_bin_2,SS_1tag_Dstar_PR_jet_bin_2,OS_1tag_Dstar_PR_jet_bin_3,SS_1tag_Dstar_PR_jet_bin_3,OS_2tag_Dstar_PR_jet_bin_0,SS_2tag_Dstar_PR_jet_bin_0,OS_2tag_Dstar_PR_jet_bin_1,SS_2tag_Dstar_PR_jet_bin_1,OS_2tag_Dstar_PR_jet_bin_2,SS_2tag_Dstar_PR_jet_bin_2,OS_2tag_Dstar_PR_jet_bin_3,SS_2tag_Dstar_PR_jet_bin_3 --trex fit --suffix Dmeson_zt -t 16 > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zl_unfold -c OS_0tag_Dstar_PR_jet_bin_0,SS_0tag_Dstar_PR_jet_bin_0,OS_0tag_Dstar_PR_jet_bin_1,SS_0tag_Dstar_PR_jet_bin_1,OS_0tag_Dstar_PR_jet_bin_2,SS_0tag_Dstar_PR_jet_bin_2,OS_0tag_Dstar_PR_jet_bin_3,SS_0tag_Dstar_PR_jet_bin_3,OS_1tag_Dstar_PR_jet_bin_0,SS_1tag_Dstar_PR_jet_bin_0,OS_1tag_Dstar_PR_jet_bin_1,SS_1tag_Dstar_PR_jet_bin_1,OS_1tag_Dstar_PR_jet_bin_2,SS_1tag_Dstar_PR_jet_bin_2,OS_1tag_Dstar_PR_jet_bin_3,SS_1tag_Dstar_PR_jet_bin_3,OS_2tag_Dstar_PR_jet_bin_0,SS_2tag_Dstar_PR_jet_bin_0,OS_2tag_Dstar_PR_jet_bin_1,SS_2tag_Dstar_PR_jet_bin_1,OS_2tag_Dstar_PR_jet_bin_2,SS_2tag_Dstar_PR_jet_bin_2,OS_2tag_Dstar_PR_jet_bin_3,SS_2tag_Dstar_PR_jet_bin_3 --trex fit --suffix Dmeson_zl -t 16 > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_pt -c OS_0tag_Dstar_PR_jet_bin_0,SS_0tag_Dstar_PR_jet_bin_0,OS_0tag_Dstar_PR_jet_bin_1,SS_0tag_Dstar_PR_jet_bin_1,OS_0tag_Dstar_PR_jet_bin_2,SS_0tag_Dstar_PR_jet_bin_2,OS_0tag_Dstar_PR_jet_bin_3,SS_0tag_Dstar_PR_jet_bin_3,OS_1tag_Dstar_PR_jet_bin_0,SS_1tag_Dstar_PR_jet_bin_0,OS_1tag_Dstar_PR_jet_bin_1,SS_1tag_Dstar_PR_jet_bin_1,OS_1tag_Dstar_PR_jet_bin_2,SS_1tag_Dstar_PR_jet_bin_2,OS_1tag_Dstar_PR_jet_bin_3,SS_1tag_Dstar_PR_jet_bin_3,OS_2tag_Dstar_PR_jet_bin_0,SS_2tag_Dstar_PR_jet_bin_0,OS_2tag_Dstar_PR_jet_bin_1,SS_2tag_Dstar_PR_jet_bin_1,OS_2tag_Dstar_PR_jet_bin_2,SS_2tag_Dstar_PR_jet_bin_2,OS_2tag_Dstar_PR_jet_bin_3,SS_2tag_Dstar_PR_jet_bin_3 --trex fit --suffix Dmeson_pt -t 16 > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_track_jet_${TRACK_JET_RADIUS}_pt -c OS_0tag_Dstar_PR_jet_bin_0,SS_0tag_Dstar_PR_jet_bin_0,OS_0tag_Dstar_PR_jet_bin_1,SS_0tag_Dstar_PR_jet_bin_1,OS_0tag_Dstar_PR_jet_bin_2,SS_0tag_Dstar_PR_jet_bin_2,OS_0tag_Dstar_PR_jet_bin_3,SS_0tag_Dstar_PR_jet_bin_3,OS_1tag_Dstar_PR_jet_bin_0,SS_1tag_Dstar_PR_jet_bin_0,OS_1tag_Dstar_PR_jet_bin_1,SS_1tag_Dstar_PR_jet_bin_1,OS_1tag_Dstar_PR_jet_bin_2,SS_1tag_Dstar_PR_jet_bin_2,OS_1tag_Dstar_PR_jet_bin_3,SS_1tag_Dstar_PR_jet_bin_3,OS_2tag_Dstar_PR_jet_bin_0,SS_2tag_Dstar_PR_jet_bin_0,OS_2tag_Dstar_PR_jet_bin_1,SS_2tag_Dstar_PR_jet_bin_1,OS_2tag_Dstar_PR_jet_bin_2,SS_2tag_Dstar_PR_jet_bin_2,OS_2tag_Dstar_PR_jet_bin_3,SS_2tag_Dstar_PR_jet_bin_3 --trex fit --suffix Dmeson_jet_pt -t 16 > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_track_jet_${TRACK_JET_RADIUS}_pt_rel_unfold -c OS_0tag_Dstar_PR_jet_bin_0,SS_0tag_Dstar_PR_jet_bin_0,OS_0tag_Dstar_PR_jet_bin_1,SS_0tag_Dstar_PR_jet_bin_1,OS_0tag_Dstar_PR_jet_bin_2,SS_0tag_Dstar_PR_jet_bin_2,OS_0tag_Dstar_PR_jet_bin_3,SS_0tag_Dstar_PR_jet_bin_3,OS_1tag_Dstar_PR_jet_bin_0,SS_1tag_Dstar_PR_jet_bin_0,OS_1tag_Dstar_PR_jet_bin_1,SS_1tag_Dstar_PR_jet_bin_1,OS_1tag_Dstar_PR_jet_bin_2,SS_1tag_Dstar_PR_jet_bin_2,OS_1tag_Dstar_PR_jet_bin_3,SS_1tag_Dstar_PR_jet_bin_3,OS_2tag_Dstar_PR_jet_bin_0,SS_2tag_Dstar_PR_jet_bin_0,OS_2tag_Dstar_PR_jet_bin_1,SS_2tag_Dstar_PR_jet_bin_1,OS_2tag_Dstar_PR_jet_bin_2,SS_2tag_Dstar_PR_jet_bin_2,OS_2tag_Dstar_PR_jet_bin_3,SS_2tag_Dstar_PR_jet_bin_3 --trex fit --suffix Dmeson_pt_rel -t 16 > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold -c OS_0tag_Dstar_RS_jet_bin_0,SS_0tag_Dstar_RS_jet_bin_0,OS_0tag_Dstar_RS_jet_bin_1,SS_0tag_Dstar_RS_jet_bin_1,OS_0tag_Dstar_RS_jet_bin_2,SS_0tag_Dstar_RS_jet_bin_2,OS_0tag_Dstar_RS_jet_bin_3,SS_0tag_Dstar_RS_jet_bin_3,OS_1tag_Dstar_RS_jet_bin_0,SS_1tag_Dstar_RS_jet_bin_0,OS_1tag_Dstar_RS_jet_bin_1,SS_1tag_Dstar_RS_jet_bin_1,OS_1tag_Dstar_RS_jet_bin_2,SS_1tag_Dstar_RS_jet_bin_2,OS_1tag_Dstar_RS_jet_bin_3,SS_1tag_Dstar_RS_jet_bin_3,OS_2tag_Dstar_RS_jet_bin_0,SS_2tag_Dstar_RS_jet_bin_0,OS_2tag_Dstar_RS_jet_bin_1,SS_2tag_Dstar_RS_jet_bin_1,OS_2tag_Dstar_RS_jet_bin_2,SS_2tag_Dstar_RS_jet_bin_2,OS_2tag_Dstar_RS_jet_bin_3,SS_2tag_Dstar_RS_jet_bin_3 --trex fit --suffix Dmeson_zt_RS -t 16 > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold -c OS_0tag_Dstar_LS_jet_bin_0,SS_0tag_Dstar_LS_jet_bin_0,OS_0tag_Dstar_LS_jet_bin_1,SS_0tag_Dstar_LS_jet_bin_1,OS_0tag_Dstar_LS_jet_bin_2,SS_0tag_Dstar_LS_jet_bin_2,OS_0tag_Dstar_LS_jet_bin_3,SS_0tag_Dstar_LS_jet_bin_3,OS_1tag_Dstar_LS_jet_bin_0,SS_1tag_Dstar_LS_jet_bin_0,OS_1tag_Dstar_LS_jet_bin_1,SS_1tag_Dstar_LS_jet_bin_1,OS_1tag_Dstar_LS_jet_bin_2,SS_1tag_Dstar_LS_jet_bin_2,OS_1tag_Dstar_LS_jet_bin_3,SS_1tag_Dstar_LS_jet_bin_3,OS_2tag_Dstar_LS_jet_bin_0,SS_2tag_Dstar_LS_jet_bin_0,OS_2tag_Dstar_LS_jet_bin_1,SS_2tag_Dstar_LS_jet_bin_1,OS_2tag_Dstar_LS_jet_bin_2,SS_2tag_Dstar_LS_jet_bin_2,OS_2tag_Dstar_LS_jet_bin_3,SS_2tag_Dstar_LS_jet_bin_3 --trex fit --suffix Dmeson_zt_LS -t 4 > log.txt

source /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/config/charm_frag/merge_trex_files.sh

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/config/charm_frag/merge_trex_postfit.py -i /pscratch/sd/m/mmuskinj/run/trex/charm_frag_dstar_R${TRACK_JET_RADIUS}_v5/wplusdstar_madgraph/Histograms/ -r ${TRACK_JET_RADIUS} -m Dstar

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/config/charm_frag/merge_trex_postfit.py -i /pscratch/sd/m/mmuskinj/run/trex/charm_frag_dstar_R${TRACK_JET_RADIUS}_v5/wplusdstar_madgraph_asimov/Histograms/ -r ${TRACK_JET_RADIUS} -m Dstar

# Main post-fit plots
python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit_parallel.py -a ./charm_frag_diff.yaml --trex-input /pscratch/sd/m/mmuskinj/run/trex/charm_frag_dstar_R${TRACK_JET_RADIUS}_v5/wplusdstar_madgraph -v Dmeson_mdiff_fit > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit_parallel.py -a ./charm_frag_diff.yaml --trex-input /pscratch/sd/m/mmuskinj/run/trex/charm_frag_dstar_R${TRACK_JET_RADIUS}_v5/wplusdstar_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold -k "Dstar_jet,_LS_,_RS_" --suffix zt > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit_parallel.py -a ./charm_frag_diff.yaml --trex-input /pscratch/sd/m/mmuskinj/run/trex/charm_frag_dstar_R${TRACK_JET_RADIUS}_v5/wplusdstar_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold -k "Dstar_jet,_LS_,_RS_" -b --suffix zt_sub > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit_parallel.py -a ./charm_frag_diff.yaml --trex-input /pscratch/sd/m/mmuskinj/run/trex/charm_frag_dstar_R${TRACK_JET_RADIUS}_v5/wplusdstar_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zl_unfold -k "Dstar_jet,_LS_,_RS_" --suffix zl > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit_parallel.py -a ./charm_frag_diff.yaml --trex-input /pscratch/sd/m/mmuskinj/run/trex/charm_frag_dstar_R${TRACK_JET_RADIUS}_v5/wplusdstar_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zl_unfold -k "Dstar_jet,_LS_,_RS_" -b --suffix zl_sub > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit_parallel.py -a ./charm_frag_diff.yaml --trex-input /pscratch/sd/m/mmuskinj/run/trex/charm_frag_dstar_R${TRACK_JET_RADIUS}_v5/wplusdstar_madgraph -v Dmeson_pt -k "Dstar_jet,_LS_,_RS_" --suffix pt > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit_parallel.py -a ./charm_frag_diff.yaml --trex-input /pscratch/sd/m/mmuskinj/run/trex/charm_frag_dstar_R${TRACK_JET_RADIUS}_v5/wplusdstar_madgraph -v Dmeson_pt -k "Dstar_jet,_LS_,_RS_" -b --suffix pt_sub > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit_parallel.py -a ./charm_frag_diff.yaml --trex-input /pscratch/sd/m/mmuskinj/run/trex/charm_frag_dstar_R${TRACK_JET_RADIUS}_v5/wplusdstar_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_pt_rel_unfold -k "Dstar_jet,_LS_,_RS_" --suffix pt_rel > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit_parallel.py -a ./charm_frag_diff.yaml --trex-input /pscratch/sd/m/mmuskinj/run/trex/charm_frag_dstar_R${TRACK_JET_RADIUS}_v5/wplusdstar_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_pt_rel_unfold -k "Dstar_jet,_LS_,_RS_" -b --suffix pt_rel_sub > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit_parallel.py -a ./charm_frag_diff.yaml --trex-input /pscratch/sd/m/mmuskinj/run/trex/charm_frag_dstar_R${TRACK_JET_RADIUS}_v5/wplusdstar_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_pt -k "Dstar_jet,_LS_,_RS_" --suffix pt_jet > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit_parallel.py -a ./charm_frag_diff.yaml --trex-input /pscratch/sd/m/mmuskinj/run/trex/charm_frag_dstar_R${TRACK_JET_RADIUS}_v5/wplusdstar_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_pt -k "Dstar_jet,_LS_,_RS_" -b --suffix pt_jet_sub > log.txt

# LS / RS validation (optional)
python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit_parallel.py -a ./charm_frag_diff.yaml --trex-input /pscratch/sd/m/mmuskinj/run/trex/charm_frag_dstar_R${TRACK_JET_RADIUS}_v5/wplusdstar_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold -k "Dstar_jet,_PR_,_RS_" --suffix zt_LS -r 100 > log.txt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit_parallel.py -a ./charm_frag_diff.yaml --trex-input /pscratch/sd/m/mmuskinj/run/trex/charm_frag_dstar_R${TRACK_JET_RADIUS}_v5/wplusdstar_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold -k "Dstar_jet,_PR_,_LS_" --suffix zt_RS -r 100

# Asimov
python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit_parallel.py -a ./charm_frag_diff.yaml --trex-input /pscratch/sd/m/mmuskinj/run/trex/charm_frag_dstar_R${TRACK_JET_RADIUS}_v5/wplusdstar_madgraph_asimov -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold -k "Dstar_jet,_LS_,_RS_" --suffix zt_asimov > log.txt
